Numpy是Python开发环境中一个独立的函数库;SciPy是以NumPy为基础,一个应用更加广泛的科学计算工具库;MatPlotLib是一个在使用Numpy、SciPy时经常用到的一个强大的绘图函数库。

 

由于自己需要做可视化,运行脚本的时候提示需要调取matplotlib包,我就安装起来了,用pycharm直接安装matplotlib的时候,真是折腾死我了,怎么安装都是失败的,然后我又用pip install的方法安装,总是提示:Command “python setup.py egg_info” failed with error code 1 in C:\Users\Administrator\AppData\Local\Temp\pip-install-w71nkbrj\matplotlib\这样的报错,然后我改进了以下方法:

 

首先我的Python版本是3.6,用的IDE是pycharm

 

1、手动下载安装包 然后 pip install c:\文件名,就是我把文件放到桌面,来安装,失败

2、安装安装Visual Studio,查找Visual Studio Community——一组免费的Windows开发工具,下载并运行该安装程序。访问https://pypi.python.org/pypi/matplotlib,查找与python版本相配的wheel文件(扩展名为.whl文件),运行-m pip install –user matplotlib文件名.whl,这个办法也是失败的。

3、更新pip setup.py,然后运行pip install ez_setup,然后再次优化指令pip install –no-cache-dir matplotlib安装,再次失败。

4、首先安装numpy和pip3 install scipy安装scipy,然后再次运行pip install –no-cache-dir matplotlib,也再次失败。

 

5、从Git上克隆安装:

 

使用以下方法克隆主要的源代码:

 

git clone git@github.com:matplotlib/matplotlib.git或者git clone git://github.com/matplotlib/matplotlib.git

 

然后cd matplotlib

 

python setup.py install

如果你使用debian/ubuntu,你可以:

sudo apt-get build-dep python-matplotlib

如果你使用fedora/redhat,首先安装 yum-builddep 然后运行,就可以:

su -c “yum-builddep python-matplotlib”

 

 

然后最好:

python setup.py develop

这会在正确的地方创建链接,并将命令行脚本安装到适当的位置。

这样做了,确实安装上去了,但是调用包还是会出现各种报错。

 

6、先在pycharm上输入以下代码,查看下你的电脑支持的包安装的版本号数字:

 

Windows电脑系统64位,请输入:

 

import pip._internal

print(pip._internal.pep425tags.get_supported())

 

Windows系统32位请输入:

 

import pip

print(pip.pep425tags.get_supported())

 

 

【已解决】python3.6安装MatPlotLib包总是失败报错?

 

看到了吗,我的标注的地方,于是我改掉我之前下的whl文件名称,改变如下(因为貌似matplotlib官网没有36的whl下载版本,所以先下了35的):

 

matplotlib-3.0.0-cp35-cp35m-win_amd64.whl改为matplotlib-3.0.0-cp36-cp36m-win_amd64.whl

 

再用pip3 install matplotlib-3.0.0-cp36-cp36m-win_amd64.whl即可完成,效果如下:

 

 

【已解决】python3.6安装MatPlotLib包总是失败报错?

 

 

 

不过虽然安装完成了,但是实际运用过程中还是报错,很是折磨人……

 

7、以上是我花了很久试过的,辛酸史就不说了,哈哈,然后我请教了一些大牛,给了我一个思路,就是直接导入anaconda的matplotlib包,于是我又开始下载anaconda,然后进入pycharm的设置project interpreter,导入anaconda环境,具体操作大家自行去百度下教程,我就不细说了…然后测试是有效的,终于成功了。

 

 

【已解决】python3.6安装MatPlotLib包总是失败报错?

 

 

以上的方法都是常见的原因,可能某一项是适合你的,可能以上都不适合,因为每个人的电脑的情况都不一样,以及每个人的操作过程中都是不一样,有的时候一个操作失误可能就导致后面的失败,唯一能做的就是虚心请教,自己查资料领悟了。

    版权声明:

     本网站的所有文字、图片资料,未标注转字的均由作者亲自整理创作,如需复制、转载、转贴等方式发布/发表,请以锚链接的方式显示原文出处,请尊重我的劳动成果,侵权必究。本网站转载的文章如有侵权的地方请及时联系本人,核对后会第一时间删除!

阿沐
1625139774@qq.com

发表评论